<script setup lang="ts">
import { ChevronLgRight, ChevronLgLeft } from 'slippers-ui/icons';

interface crumbItem {
  title: string;
  href: string;
}

const { crumbs } = defineProps<{ crumbs: crumbItem[] }>();
</script>

<template>
  <span class="breadcrumb">
    <span
      v-for="(crumb, index) in crumbs"
      :key="crumb.href"
      class="breadcrumb__crumb"
      :class="{
        'breadcrumb__crumb--disabled': index === crumbs.length - 1,
        'hide-in-mobile': index !== crumbs.length - 2,
      }"
    >
      <span v-if="index !== crumbs.length - 1" class="breadcrumb__chevron mobile-chevron">
        <SlpIcon :icon="ChevronLgLeft" variant="product" size="xs" />
      </span>
      <a v-if="crumb.href" :href="crumb.href" :data-ga-name="crumb.title.toLowerCase()" data-ga-location="hero">
        <SlpTypography tag="span" variant="body3">{{ crumb.title }}</SlpTypography>
      </a>
      <a v-else>
        <SlpTypography v-if="crumb.title" tag="span" variant="body3">{{ crumb.title }}</SlpTypography>
      </a>
      <span v-if="index !== crumbs.length - 1" class="breadcrumb__chevron hide-in-mobile">
        <SlpIcon :icon="ChevronLgRight" variant="product" size="xs" />
      </span>
    </span>
  </span>
</template>

<style scoped lang="scss">
.mobile-chevron {
  display: none;
  @media (max-width: $breakpoint-md) {
    display: block;
  }
}
.breadcrumb {
  display: flex;
  margin-bottom: 32px;

  &__crumb {
    display: flex;
    color: $color-text-link-100;
    &:hover,
    &:focus,
    &:active {
      &:not(.breadcrumb__crumb--disabled) {
        text-decoration: underline;
      }
    }

    &--disabled {
      color: $color-text-200;
    }

    a {
      color: inherit;
    }
  }

  &__chevron {
    margin: 1px 10px 0 6px;
  }
}

.hide-in-mobile {
  @media (max-width: $breakpoint-md) {
    display: none;
  }
}
</style>
